반품 수령
curl --request POST \
--url https://api.headlesscommerce.io/v1/admin/returns/{id}/receive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"admin_notes": "<string>"
}
'{
"id": "<string>",
"order_id": "<string>",
"customer_id": "<string>",
"reason": "<string>",
"customer_notes": "<string>",
"admin_notes": "<string>",
"lines": [
{
"id": "<string>",
"order_line_id": "<string>",
"quantity": 123,
"reason": "<string>",
"condition": "<string>",
"exchange_variant_id": "<string>"
}
],
"refund": {
"id": "<string>",
"order_id": "<string>",
"amount": {
"amount": 123,
"currency": "<string>"
},
"reason": "<string>",
"restock": true,
"lines": [
{
"order_line_id": "<string>",
"quantity": 123
}
],
"created_at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Admin - 반품
반품 수령
POST
/
admin
/
returns
/
{id}
/
receive
반품 수령
curl --request POST \
--url https://api.headlesscommerce.io/v1/admin/returns/{id}/receive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"admin_notes": "<string>"
}
'{
"id": "<string>",
"order_id": "<string>",
"customer_id": "<string>",
"reason": "<string>",
"customer_notes": "<string>",
"admin_notes": "<string>",
"lines": [
{
"id": "<string>",
"order_line_id": "<string>",
"quantity": 123,
"reason": "<string>",
"condition": "<string>",
"exchange_variant_id": "<string>"
}
],
"refund": {
"id": "<string>",
"order_id": "<string>",
"amount": {
"amount": 123,
"currency": "<string>"
},
"reason": "<string>",
"restock": true,
"lines": [
{
"order_line_id": "<string>",
"quantity": 123
}
],
"created_at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}인증
API Key. Example: sk_live_xxxxx or pk_live_xxxxx
경로 매개변수
Resource ID
본문
application/json
응답
200 - application/json
성공
사용 가능한 옵션:
refund, exchange 사용 가능한 옵션:
requested, approved, rejected, received, completed, cancelled 사용 가능한 옵션:
defective, wrong_item, changed_mind, damaged, other Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I